Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomCntrlPntMaps

Gets arrays which maps Control Point IDs to their associated Geometry FACE, EDGE, and VERTEX.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomCntrlPntMaps(DM dm, PetscInt *numCntrlPnts, PetscInt **cntrlPntFaceMap, PetscInt **cntrlPntWeightFaceMap, PetscInt **cntrlPntEdgeMap, PetscInt **cntrlPntWeightEdgeMap, PetscInt **cntrlPntVertexMap, PetscInt **cntrlPntWeightVertexMap)

Not collective

## Input Parameter

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

## Output Parameters

- numCntrlPnts - Number of Control Points defining the Geometry attached to the DMPlex

- cntrlPntFaceMap - Array containing the FACE ID for the Control Point. Array index corresponds to Control Point ID.

- cntrlPntWeightFaceMap - Array containing the FACE ID for the Control Point Weight. Array index corresponds to Control Point ID.

- cntrlPntEdgeMap - Array containing the EDGE ID for the Control Point. Array index corresponds to Control Point ID.

- cntrlPntWeightEdgeMap - Array containing the EDGE ID for the Control Point Weight. Array index corresponds to Control Point ID.

- cntrlPntVertexMap - Array containing the VERTEX ID for the Control Point. Array index corresponds to Control Point ID.

- cntrlPntWeightVertexMap - Array containing the VERTEX ID for the Control Point Weight. Array index corresponds to Control Point ID.

## Note

Arrays are initialized to -1. Array elements with a -1 value indicates that the Control Point or Control Point Weight not associated with the referenced Geometric entity in the array name.

## See Also

DMPlexGeomDataAndGrads

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages